package and06.geonotes

import android.util.Log
import okhttp3.Cookie
import okhttp3.CookieJar
import okhttp3.HttpUrl

class MyCookieJar : CookieJar {
    private var cookies: List<Cookie>? = null
    override fun saveFromResponse(url: HttpUrl, cookies: List<Cookie>) {
        Log.i(javaClass.simpleName,"getting cookies: " +cookies.toString())
        this.cookies = cookies
    }

    override fun loadForRequest(url: HttpUrl): List<Cookie> {
        Log.i(javaClass.simpleName,"giving cookies: " +cookies.toString())
        return cookies ?: ArrayList()
    }
}